import type { W3cCredentialRecord } from '../../vc';
import type { PresentationSubmission } from '../models';
import type { IPresentationDefinition, SelectResults } from '@sphereon/pex';
export declare function selectCredentialsForRequest(presentationDefinition: IPresentationDefinition, credentialRecords: Array<W3cCredentialRecord>, holderDIDs: Array<string>): Promise<PresentationSubmission>;
/**
 * Custom SelectResults that include the W3cCredentialRecord instead of the encoded verifiable credential
 */
export type W3cCredentialRecordSelectResults = Omit<SelectResults, 'verifiableCredential'> & {
    verifiableCredential?: Array<W3cCredentialRecord>;
};
